com.independentsoft.exchange

## Enum SortDirection

- java.lang.Object
- - java.lang.Enum<SortDirection>
  - - com.independentsoft.exchange.SortDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SortDirection>

      public enum SortDirection
      extends java.lang.Enum<SortDirection>

  Specifies the direction in which to sort a list of items.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Sort from smallest to largest.
    `DESCENDING` Sort from largest to smallest.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SortDirection ASCENDING

      Sort from smallest to largest. For example, from A to Z.

    - #### DESCENDING

          public static final SortDirection DESCENDING

      Sort from largest to smallest. For example, from Z to A.

  - ### Method Detail

    - #### values

          public static SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortDirection c : SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null